none
Cannot Connect to Oracle DB using WCF-Oracle adapter

    Question

  • Hi

     

    My Configuration is

    Windows 2008 R2 Standard Edition 64 Bit
    SQL Developer 2008 R2 64 Bit
    BizTalk 2010 Developer
    Visual Studio 2010

    Oracle Client 11.2.0

    When I try to use WCF adapter service in VS it is giving the following error:

    Connecting to the LOB system has failed.
    Could not load file or assembly 'Oracle.DataAccess, Version=2.111.7.0, Culture=neutral, PublicKeyToken=89b483f429c47342' or one of its dependencies. The system cannot find the file specified.

    The version of the dll available is 2.112.1.0.

    The policy is available to redirect the version to this new still the error is coming.

    I tried the Oracle Client version 11.1.0 there also also same error.

    Where to get this 2.111.7.0 version.
     Any help is appreciated.

    Wednesday, April 4, 2012 11:32 AM

Answers

  • Hi,

    in the BizTalk Server environment you described before the BizTalk Server Adapter Pack supports the following:

    Supported server versions: Oracle database version 11.1, Oracle database version 10.2, Oracle database version 10.1, Oracle database version 9.2

    Supported client versions: Oracle Data Access Components for Oracle Client 11.1.0.6 with Patch Set 11.1.0.7, Oracle Data Access Components for Oracle Client 11.1.0.7

    With that background facts your question should be answered.

    Also bear in mind that you have the complete stack installed, which also includes BizTalk Server WCF LOB SDK, besides the ones you already mentioned.

    hth

    Paul Endras

    ---

    If this answers your question please mark it accordingly

    • Marked as answer by Harik98 Monday, April 9, 2012 8:12 AM
    Wednesday, April 4, 2012 12:46 PM

All replies

  • You have to re-install the oracle client, the best place to search is the OTN. Depending on your oracle DB version download the available client from the OTN. This is not a issue with the BizTalk WCF Oracle Adapter.

    Regards,
    Bali
    MCTS: BizTalk Server 2010,BizTalk Server 2006 and WCF
    My Blog:dpsbali-biztalkweblog
    -----------------------------------------------------
    Mark As Answer or Vote As Helpful if this helps.

    • Proposed as answer by DPS Bali Monday, April 9, 2012 8:51 AM
    • Unproposed as answer by DPS Bali Monday, April 9, 2012 8:51 AM
    Wednesday, April 4, 2012 12:07 PM
  • Thanks for your response. The oracle database biztalk suppose to pick the data from is 10 G(10.2.0.4.0).Then should I go for lower version of Oracle client?

    Wednesday, April 4, 2012 12:18 PM
  • Hi,

    in the BizTalk Server environment you described before the BizTalk Server Adapter Pack supports the following:

    Supported server versions: Oracle database version 11.1, Oracle database version 10.2, Oracle database version 10.1, Oracle database version 9.2

    Supported client versions: Oracle Data Access Components for Oracle Client 11.1.0.6 with Patch Set 11.1.0.7, Oracle Data Access Components for Oracle Client 11.1.0.7

    With that background facts your question should be answered.

    Also bear in mind that you have the complete stack installed, which also includes BizTalk Server WCF LOB SDK, besides the ones you already mentioned.

    hth

    Paul Endras

    ---

    If this answers your question please mark it accordingly

    • Marked as answer by Harik98 Monday, April 9, 2012 8:12 AM
    Wednesday, April 4, 2012 12:46 PM
  • installing ODAC for Oracle client 11.1.07 resolved the issue. Thanks.

    Monday, April 9, 2012 8:14 AM